Package org.eclipse.net4j.util.factory

# Class TreeFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.factory.TreeFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`, `ITreeFactory`

Direct Known Subclasses:
  `TreeFactory.ContainerAware`

public abstract class TreeFactory extends Factory implements ITreeFactory

Since:
  3.23
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TreeFactory.ContainerAware`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`TreeFactory()`
`TreeFactory(String productGroup)`
`TreeFactory(String productGroup, String type)`
`TreeFactory(FactoryKey key)`
`TreeFactory(IFactoryKey key)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`create(String description)`
`protected abstract Object`
`create(Tree config)`
`static String`
`createDescription(Tree tree)`
`final Object`
`createWithTree(Tree config)`
`Tree`
`getTreeFor(Object product)`
`static Tree`
`parseTree(String description)`
`protected final ProductCreationException`
`productCreationException(Tree config)`
`protected final ProductCreationException`
`productCreationException(Tree config, Throwable cause)`
`static Document`
`xmlDeserialize(String description)`
`static String`
`xmlSerialize(Document document)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`getDescriptionFor, getKey`

## Constructor Details

### TreeFactory

public TreeFactory()

### TreeFactory

public TreeFactory(IFactoryKey key)

### TreeFactory

public TreeFactory(FactoryKey key)

### TreeFactory

public TreeFactory(String productGroup, String type)

### TreeFactory

public TreeFactory(String productGroup)

## Method Details

### getTreeFor

public Tree getTreeFor(Object product)

### createWithTree

public final Object createWithTree(Tree config) throws ProductCreationException

Specified by:
  `createWithTree` in interface `ITreeFactory`
Throws:
  `ProductCreationException`

### create

public Object create(String description) throws ProductCreationException

Specified by:
  `create` in interface `IFactory`
Throws:
  `ProductCreationException`

### create

protected abstract Object create(Tree config) throws ProductCreationException

Throws:
  `ProductCreationException`

### productCreationException

protected final ProductCreationException productCreationException(Tree config, Throwable cause)

Since:
  3.23

### productCreationException

protected final ProductCreationException productCreationException(Tree config)

Since:
  3.23

### createDescription

public static String createDescription(Tree tree)

### parseTree

public static Tree parseTree(String description)

### xmlDeserialize

public static Document xmlDeserialize(String description)

### xmlSerialize

public static String xmlSerialize(Document document)